/**
 * Created by CSL on 2017-06-06.
 * public functions.
 */

function deleteEmptyObject(arr) {
    function isEmptyObject(e) {
        var t;
        for (t in e)
            return !1;
        return !0
    };

    for (var i = 0; i < arr.length; i++) {
        if (isEmptyObject(arr[i])) {
            arr.splice(i, 1);
            i = i - 1;
        };
    };
};
